> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salad.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the GPU Classes

> List the GPU Classes

*Last Updated: July 1, 2025*


## OpenAPI

````yaml api-specs/salad-cloud.yaml get /organizations/{organization_name}/gpu-classes
openapi: 3.1.0
info:
  title: SaladCloud API
  description: >-
    The SaladCloud REST API. Please refer to the [SaladCloud API
    Documentation](https://docs.salad.com/api-reference) for more details.
  termsOfService: https://salad.com/terms
  contact:
    name: SaladCloud Support
    url: https://salad.com
    email: cloud@salad.com
  license:
    name: MIT License
    identifier: MIT
  version: 0.9.0-alpha.17
servers:
  - url: https://api.salad.com/api/public
security:
  - ApiKeyAuth: []
tags:
  - name: container_groups
    description: Container Groups
  - name: inference_endpoints
    description: Inference Endpoints
  - name: organization_data
    description: Auxiliary organization data and info
  - name: queues
    description: Job Queues
  - name: quotas
    description: quotas
  - name: system_logs
    description: System Logs
  - name: webhook_secret_key
    description: Webhook Secret Key
  - name: logs
    description: Platform and Application Log Entries
  - name: Availability
    description: Sce Node Availability
paths:
  /organizations/{organization_name}/gpu-classes:
    summary: GPU Classes
    description: Allows reading the GPU Classes collection available for the organization
    parameters:
      - $ref: '#/components/parameters/organization_name'
    get:
      tags:
        - organization_data
      summary: List the GPU Classes
      description: List the GPU Classes
      operationId: list_gpu_classes
      responses:
        '200':
          $ref: '#/components/responses/ListGpuClasses'
        '404':
          $ref: '#/components/responses/404'
        '429':
          $ref: '#/components/responses/429'
        default:
          $ref: '#/components/responses/UnknownError'
components:
  parameters:
    organization_name:
      name: organization_name
      in: path
      description: >-
        Your organization name. This identifies the billing context for the API
        operation and represents a security boundary for SaladCloud resources.
        The organization must be created before using the API, and you must be a
        member of the organization.
      required: true
      schema:
        $ref: '#/components/schemas/OrganizationName'
  responses:
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    '429':
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    ListGpuClasses:
      description: OK
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GpuClassesList'
    UnknownError:
      description: Unknown Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
  schemas:
    OrganizationName:
      description: The organization name.
      type: string
      examples:
        - acme-corp
      maxLength: 63
      minLength: 2
      pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
      title: Organization Name
    GpuClassesList:
      description: Represents a list of GPU classes
      type: object
      properties:
        items:
          description: The list of GPU classes
          type: array
          items:
            $ref: '#/components/schemas/GpuClass'
          maxItems: 100
          minItems: 0
      required:
        - items
    ProblemDetails:
      description: Represents an API error
      type: object
      properties:
        detail:
          description: >-
            The human-readable explanation specific to this occurrence of the
            error.
          type: string
          examples:
            - The container group could not be found.
          maxLength: 2000
          minLength: 1
        instance:
          description: >-
            The URI reference that identifies the specific occurrence of the
            error.
          type: string
          format: url
          examples:
            - https://example.com/error-instances/12345
          maxLength: 2048
          minLength: 1
        status:
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the error.
          type: integer
          format: int32
          examples:
            - 404
          maximum: 599
          minimum: 100
        title:
          description: The short, human-readable summary of the error type.
          type: string
          examples:
            - Not Found
          maxLength: 2000
          minLength: 1
        type:
          description: The URI reference that identifies the error type.
          type: string
          format: url
          default: about:blank
          examples:
            - https://example.com/errors/invalid-request
          maxLength: 2048
          minLength: 1
    GpuClass:
      description: Represents a GPU Class
      type: object
      properties:
        gpu_class_type:
          description: The type of GPU class
          type: string
          enum:
            - community
            - secure
        gpu_count:
          description: The number of GPUs in the cluster
          type: integer
          format: int32
          maximum: 512
          minimum: 1
        id:
          description: The unique identifier
          type: string
          format: uuid
        is_high_demand:
          description: Whether the GPU class is in high demand
          type: boolean
        max_ram:
          description: The maximum RAM amount in MB
          type: integer
          format: int32
          minimum: 0
        max_storage:
          description: The maximum storage amount in bytes
          type: integer
          format: int64
          minimum: 0
        max_vcpu:
          description: The maximum vCPU count
          type: integer
          format: int32
          minimum: 0
        min_ram:
          description: The minimum RAM amount in MB
          type: integer
          format: int32
          minimum: 0
        min_storage:
          description: The minimum storage amount in bytes
          type: integer
          format: int64
          minimum: 0
        min_vcpu:
          description: The minimum vCPU count
          type: integer
          format: int32
          minimum: 0
        name:
          description: The GPU class name
          type: string
          maxLength: 63
          minLength: 2
          pattern: ^[ -~]{2,63}$
        prices:
          description: The list of prices for each container group priority
          type: array
          items:
            $ref: '#/components/schemas/GpuClassPrice'
          maxItems: 100
          minItems: 1
      required:
        - id
        - name
        - prices
    GpuClassPrice:
      description: Represents the price of a GPU class for a given container group priority
      type: object
      properties:
        price:
          description: The price
          type: string
          maxLength: 20
          minLength: 1
          pattern: ^.*$
        priority:
          $ref: '#/components/schemas/ContainerGroupPriority'
      required:
        - priority
        - price
    ContainerGroupPriority:
      description: >-
        Specifies the priority level for container group execution, which
        determines resource allocation and scheduling precedence.
      type:
        - string
        - 'null'
      enum:
        - high
        - medium
        - low
        - batch
      title: Container Group Priority
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Salad-Api-Key

````